#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './addnetworkroutedialogbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "addnetworkroutedialogbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kcombobox.h"

/*
 *  Constructs a AddNetworkRouteDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AddNetworkRouteDialogBase::AddNetworkRouteDialogBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AddNetworkRouteDialogBase" );
    AddNetworkRouteDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "AddNetworkRouteDialogBaseLayout"); 

    LabelRemoteNetwork = new QLabel( this, "LabelRemoteNetwork" );
    LabelRemoteNetwork->setEnabled( TRUE );

    AddNetworkRouteDialogBaseLayout->addWidget( LabelRemoteNetwork, 0, 0 );

    RemoteNetAddrLineEdit = new KLineEdit( this, "RemoteNetAddrLineEdit" );

    AddNetworkRouteDialogBaseLayout->addWidget( RemoteNetAddrLineEdit, 0, 1 );

    RemoteNetDividetextLabel = new QLabel( this, "RemoteNetDividetextLabel" );

    AddNetworkRouteDialogBaseLayout->addWidget( RemoteNetDividetextLabel, 0, 2 );

    RemoteNetMaskComboBox = new KComboBox( FALSE, this, "RemoteNetMaskComboBox" );

    AddNetworkRouteDialogBaseLayout->addWidget( RemoteNetMaskComboBox, 0, 3 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    UseGatewayCheckBox = new QCheckBox( this, "UseGatewayCheckBox" );
    layout5->addWidget( UseGatewayCheckBox );
    spacer55 = new QSpacerItem( 49, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer55 );

    RemoteGatewayAddrLineEdit = new KLineEdit( this, "RemoteGatewayAddrLineEdit" );
    RemoteGatewayAddrLineEdit->setEnabled( FALSE );
    layout5->addWidget( RemoteGatewayAddrLineEdit );

    AddNetworkRouteDialogBaseLayout->addMultiCellLayout( layout5, 1, 1, 0, 3 );
    languageChange();
    resize( QSize(344, 84).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( RemoteNetAddrLineEdit, RemoteNetMaskComboBox );
    setTabOrder( RemoteNetMaskComboBox, UseGatewayCheckBox );
    setTabOrder( UseGatewayCheckBox, RemoteGatewayAddrLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddNetworkRouteDialogBase::~AddNetworkRouteDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AddNetworkRouteDialogBase::languageChange()
{
    setCaption( tr2i18n( "Add Network Route" ) );
    QToolTip::add( this, tr2i18n( "Hash algorithm for phase 1" ) );
    QWhatsThis::add( this, QString::null );
    LabelRemoteNetwork->setText( tr2i18n( "Remote network:" ) );
    QToolTip::add( RemoteNetAddrLineEdit, tr2i18n( "Remote network address" ) );
    QWhatsThis::add( RemoteNetAddrLineEdit, tr2i18n( "This is the remote network where the connection should going to. Use this at a PPTP connection for set another network than the retrieved IP is located." ) );
    RemoteNetDividetextLabel->setText( tr2i18n( "/" ) );
    RemoteNetMaskComboBox->clear();
    RemoteNetMaskComboBox->insertItem( tr2i18n( "8" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "9" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "10" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "11" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "12" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "13" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "14" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "15" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "16" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "17" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "18" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "19" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "20" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "21" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "22" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "23" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "24" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "25" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "26" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "27" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "28" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "29" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "30" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "31" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "32" ) );
    RemoteNetMaskComboBox->setCurrentItem( 16 );
    QToolTip::add( RemoteNetMaskComboBox, tr2i18n( "Prefix (netmask) of the remote network" ) );
    QWhatsThis::add( RemoteNetMaskComboBox, tr2i18n( "This is the netmask of the remote network. The value describes how many bits are used for the network part. For example /24 stands for the netmask 255.255.255.0 (3*8 bits)" ) );
    UseGatewayCheckBox->setText( tr2i18n( "Use &gateway" ) );
    UseGatewayCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+G" ) ) );
    QToolTip::add( UseGatewayCheckBox, tr2i18n( "Use the gateway to reach this network" ) );
    QWhatsThis::add( UseGatewayCheckBox, QString::null );
    QToolTip::add( RemoteGatewayAddrLineEdit, tr2i18n( "Gateway address" ) );
    QWhatsThis::add( RemoteGatewayAddrLineEdit, QString::null );
}

#include "addnetworkroutedialogbase.moc"
