#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configgeneraloptions.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configgeneraloptions.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConfigGeneralOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigGeneralOptions::ConfigGeneralOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigGeneralOptions" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ConfigGeneralOptionsLayout = new QGridLayout( this, 1, 1, 11, 6, "ConfigGeneralOptionsLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    useKwalletCheckBox = new QCheckBox( this, "useKwalletCheckBox" );
    layout7->addWidget( useKwalletCheckBox );
    spacer29_2 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer29_2 );

    ConfigGeneralOptionsLayout->addLayout( layout7, 0, 0 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    ConfigGeneralOptionsLayout->addLayout( layout9, 2, 0 );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    DontQuitOnCloseEventCheckBox = new QCheckBox( this, "DontQuitOnCloseEventCheckBox" );
    layout11->addWidget( DontQuitOnCloseEventCheckBox );
    spacer31_2 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer31_2 );

    ConfigGeneralOptionsLayout->addLayout( layout11, 4, 0 );
    spacer6 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConfigGeneralOptionsLayout->addItem( spacer6, 5, 0 );
    languageChange();
    resize( QSize(337, 210).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigGeneralOptions::~ConfigGeneralOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigGeneralOptions::languageChange()
{
    setCaption( tr2i18n( "General" ) );
    useKwalletCheckBox->setText( tr2i18n( "&Use KWallet" ) );
    useKwalletCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( useKwalletCheckBox, tr2i18n( "Use KWallet for secure store passwords" ) );
    QWhatsThis::add( useKwalletCheckBox, QString::null );
    DontQuitOnCloseEventCheckBox->setText( tr2i18n( "Do not &quit by clicking close button" ) );
    DontQuitOnCloseEventCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    QToolTip::add( DontQuitOnCloseEventCheckBox, tr2i18n( "Close button minimizes to system tray <br>(kicker) instead of quit the program" ) );
}

#include "configgeneraloptions.moc"
