#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './helpdialogbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "helpdialogbase.h"

#include <qvariant.h>
#include <qtextbrowser.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a HelpDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
HelpDialogBase::HelpDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "HelpDialogBase" );
    setMinimumSize( QSize( 800, 600 ) );
    setSizeGripEnabled( TRUE );
    HelpDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "HelpDialogBaseLayout"); 

    kTextEdit1 = new QTextBrowser( this, "kTextEdit1" );

    HelpDialogBaseLayout->addWidget( kTextEdit1, 0, 0 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonClose = new QPushButton( this, "buttonClose" );
    buttonClose->setAutoDefault( TRUE );
    buttonClose->setDefault( TRUE );
    Layout1->addWidget( buttonClose );

    HelpDialogBaseLayout->addLayout( Layout1, 1, 0 );
    languageChange();
    resize( QSize(800, 604).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonClose, SIGNAL( clicked() ), this, SLOT( accept() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HelpDialogBase::~HelpDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HelpDialogBase::languageChange()
{
    setCaption( tr2i18n( "Help" ) );
    kTextEdit1->setText( tr2i18n( "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\"font-size:12pt;font-family:helvetica\">\n"
"<p style=\"margin-top:18px\"><a name=\"topic\"><span style=\"font-size:24pt;font-weight:600\">Topics</span></a></p>\n"
"<p style=\"margin-top:16px\"><a href=\"#usage\"><span style=\"font-size:18pt;font-weight:600\">1. Usage</span></a></p>\n"
"<p style=\"margin-top:14px\"><a href=\"#connect\"><span style=\"font-size:14pt;font-weight:600\">1.1 Connect</span></a></p>\n"
"<p style=\"margin-top:14px\"><a href=\"#disconnect\"><span style=\"font-size:14pt;font-weight:600\">1.2 Disconnect</span></a></p>\n"
"<p style=\"margin-top:16px\"><a href=\"#external_help\"><span style=\"font-size:18pt;font-weight:600\">2. Getting external help</span></a></p>\n"
"<p style=\"margin-top:14px\"><a href=\"#homepage\"><span style=\"font-size:14pt;font-weight:600\">2.1 Homepage</span></a></p>\n"
"<p style=\"margin-top:14px\"><a href=\"#submitting_bugs\"><span style=\"font-size:14pt;font-weight:600\">2.2 Submitting bugs</span></a></p>\n"
"<p style=\"margin-top:14px\"><a href=\"#author\"><span style=\"font-size:14pt;font-weight:600\">2.3 Author</span></a></p>\n"
"<p style=\"margin-top:16px\"><a name=\"usage\"><span style=\"font-size:18pt;font-weight:600\">1. Usage</span></a></p>\n"
"<p style=\"margin-top:14px\"><a name=\"connect\"><span style=\"font-size:14pt;font-weight:600\">1.1 Connect</span></a></p>\n"
"<p>Start kvpnc and if vpnc-connect/vpnc-disconnect is not installed in /usr/sbin change it in settings. Click on &quot;New profile...&quot; to add a new profile. Enter the new Name in the upcoming dialog, fill in the empty fields and save profile by clicking on &quot;Save profile...&quot;. After enter your VPN data, click on &quot;connect&quot; to connect to your VPN server. By default, kvpnc minimizes into kicker dock after sucessfull connect. <a href=\"#topic\">back to top</a> </p>\n"
"<p style=\"margin-top:14px\"><a name=\"disconnect\"><span style=\"font-size:14pt;font-weight:600\">1.2 Disconnect</span></a></p>\n"
"<p>To disconnect, click on kicker dock and kvpnc main window will be restored. Then click on &quot;disconnect&quot;. You can also use toolbar icons or menu entries in kicker dock context menu. <a href=\"#topic\">back to top</a> </p>\n"
"<p style=\"margin-top:16px\"><a name=\"external_help\"><span style=\"font-size:18pt;font-weight:600\">2. Getting external help</span></a></p>\n"
"<p style=\"margin-top:14px\"><a name=\"homepage\"><span style=\"font-size:14pt;font-weight:600\">2.1 Homepage</span></a></p>\n"
"<p>Go to <a href=\"http://home.gna.org/kvpnc/\">http://home.gna.org/kvpnc/</a> for new releases, contacts, etc. <a href=\"#topic\">back to top</a> </p>\n"
"<p style=\"margin-top:14px\"><a name=\"sumbitting_bugs\"><span style=\"font-size:14pt;font-weight:600\">2.2 Submitting bugs</span></a></p>\n"
"<p>Go to <a href=\"https://gna.org/bugs/?group=kvpnc\">https://gna.org/bugs/?group=kvpnc</a> for submitting new bugs or look for open bugs. <a href=\"#topic\">back to top</a> </p>\n"
"<p style=\"margin-top:14px\"><a name=\"author\"><span style=\"font-size:14pt;font-weight:600\">2.3 Author</span></a></p>\n"
"<p>Send a mail to Christoph Thielecke (<a href=\"u15119@hs-harz.de\">u15119@hs-harz.de</a>) if you have questions, suggestions or wishes. <a href=\"#topic\">back to top</a></p>\n"
"</body></html>" ) );
    buttonClose->setText( tr2i18n( "&Close" ) );
    QWhatsThis::add( buttonClose, tr2i18n( "Close dialog" ) );
}

void HelpDialogBase::closeClicked()
{
    qWarning( "HelpDialogBase::closeClicked(): Not implemented yet" );
}

#include "helpdialogbase.moc"
