#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizarduser.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizarduser.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a NewProfileWizardUser as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardUser::NewProfileWizardUser( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardUser" );
    NewProfileWizardUserLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardUserLayout"); 

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    layout5 = new QGridLayout( 0, 1, 1, 0, 6, "layout5"); 

    LabelUsername = new QLabel( this, "LabelUsername" );

    layout5->addWidget( LabelUsername, 0, 0 );

    LabelPassword = new QLabel( this, "LabelPassword" );

    layout5->addWidget( LabelPassword, 1, 0 );

    UsernameLineEdit = new KLineEdit( this, "UsernameLineEdit" );

    layout5->addWidget( UsernameLineEdit, 0, 1 );

    PasswordEdit = new QLineEdit( this, "PasswordEdit" );
    PasswordEdit->setEchoMode( QLineEdit::Password );

    layout5->addWidget( PasswordEdit, 1, 1 );
    layout6->addLayout( layout5 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    CheckUserPass = new QCheckBox( this, "CheckUserPass" );
    layout4->addWidget( CheckUserPass );

    DontSaveUsernameCheckBox = new QCheckBox( this, "DontSaveUsernameCheckBox" );
    layout4->addWidget( DontSaveUsernameCheckBox );
    layout6->addLayout( layout4 );

    NewProfileWizardUserLayout->addLayout( layout6, 0, 0 );
    spacer3 = new QSpacerItem( 231, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    NewProfileWizardUserLayout->addItem( spacer3, 0, 1 );
    spacer4 = new QSpacerItem( 20, 141, QSizePolicy::Minimum, QSizePolicy::Expanding );
    NewProfileWizardUserLayout->addItem( spacer4, 1, 0 );
    languageChange();
    resize( QSize(353, 192).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( UsernameLineEdit, PasswordEdit );
    setTabOrder( PasswordEdit, CheckUserPass );
    setTabOrder( CheckUserPass, DontSaveUsernameCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardUser::~NewProfileWizardUser()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardUser::languageChange()
{
    setCaption( tr2i18n( "User settings" ) );
    LabelUsername->setText( tr2i18n( "Username:" ) );
    LabelPassword->setText( tr2i18n( "Password:" ) );
    QToolTip::add( UsernameLineEdit, tr2i18n( "Username for authentication" ) );
    QToolTip::add( PasswordEdit, tr2i18n( "Username for authentication" ) );
    CheckUserPass->setText( tr2i18n( "Save &user password" ) );
    CheckUserPass->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( CheckUserPass, tr2i18n( "Save password in config file (or in KWallet if available)" ) );
    DontSaveUsernameCheckBox->setText( tr2i18n( "Do no&t save username" ) );
    DontSaveUsernameCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( DontSaveUsernameCheckBox, tr2i18n( "Do not save the username in config file nor KWallet" ) );
}

#include "newprofilewizarduser.moc"
