#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileciscooptionsbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileciscooptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "knuminput.h"

/*
 *  Constructs a ProfileCiscoOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileCiscoOptionsBase::ProfileCiscoOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileCiscoOptionsBase" );
    ProfileCiscoOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileCiscoOptionsBaseLayout"); 

    layout21 = new QVBoxLayout( 0, 0, 6, "layout21"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 
    layout21->addLayout( layout9 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    LabelID = new QLabel( this, "LabelID" );
    layout7->addWidget( LabelID );
    spacer15 = new QSpacerItem( 120, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer15 );
    layout8->addLayout( layout7 );

    IDLineEdit = new KLineEdit( this, "IDLineEdit" );
    layout8->addWidget( IDLineEdit );
    layout21->addLayout( layout8 );

    layout17 = new QHBoxLayout( 0, 0, 6, "layout17"); 

    KeepDefaultRouteCheckBox = new QCheckBox( this, "KeepDefaultRouteCheckBox" );
    layout17->addWidget( KeepDefaultRouteCheckBox );
    spacer15_2 = new QSpacerItem( 211, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout17->addItem( spacer15_2 );
    layout21->addLayout( layout17 );

    layout16 = new QHBoxLayout( 0, 0, 6, "layout16"); 

    AllowEmptyGroupPasswordCheckBox = new QCheckBox( this, "AllowEmptyGroupPasswordCheckBox" );
    layout16->addWidget( AllowEmptyGroupPasswordCheckBox );
    spacer16 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout16->addItem( spacer16 );
    layout21->addLayout( layout16 );

    layout16_2 = new QHBoxLayout( 0, 0, 6, "layout16_2"); 

    UseXauthInteractiveCheckBox = new QCheckBox( this, "UseXauthInteractiveCheckBox" );
    layout16_2->addWidget( UseXauthInteractiveCheckBox );
    spacer16_3 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout16_2->addItem( spacer16_3 );
    layout21->addLayout( layout16_2 );

    layout7_2 = new QHBoxLayout( 0, 0, 6, "layout7_2"); 

    LabelID_2 = new QLabel( this, "LabelID_2" );
    layout7_2->addWidget( LabelID_2 );
    spacer6 = new QSpacerItem( 131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7_2->addItem( spacer6 );

    PeerTimeoutIntNumInput = new KIntNumInput( this, "PeerTimeoutIntNumInput" );
    PeerTimeoutIntNumInput->setMinValue( 0 );
    layout7_2->addWidget( PeerTimeoutIntNumInput );
    layout21->addLayout( layout7_2 );

    layout20 = new QHBoxLayout( 0, 0, 6, "layout20"); 

    MtuCheckbox = new QCheckBox( this, "MtuCheckbox" );
    layout20->addWidget( MtuCheckbox );
    spacer17 = new QSpacerItem( 80, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout20->addItem( spacer17 );

    MtuSpinbox = new QSpinBox( this, "MtuSpinbox" );
    MtuSpinbox->setEnabled( FALSE );
    MtuSpinbox->setMaxValue( 1500 );
    MtuSpinbox->setMinValue( 1300 );
    MtuSpinbox->setValue( 1492 );
    layout20->addWidget( MtuSpinbox );
    layout21->addLayout( layout20 );
    spacer4 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout21->addItem( spacer4 );

    ProfileCiscoOptionsBaseLayout->addLayout( layout21, 0, 0 );
    languageChange();
    resize( QSize(359, 240).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( IDLineEdit, KeepDefaultRouteCheckBox );
    setTabOrder( KeepDefaultRouteCheckBox, AllowEmptyGroupPasswordCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileCiscoOptionsBase::~ProfileCiscoOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileCiscoOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Cisco" ) );
    LabelID->setText( tr2i18n( "IPSec ID:" ) );
    QToolTip::add( IDLineEdit, tr2i18n( "IPSec ID of the remote side" ) );
    KeepDefaultRouteCheckBox->setText( tr2i18n( "&Keep default route" ) );
    KeepDefaultRouteCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    QToolTip::add( KeepDefaultRouteCheckBox, tr2i18n( "Keep the default route" ) );
    AllowEmptyGroupPasswordCheckBox->setText( tr2i18n( "Allow empt&y group password (insecure!)" ) );
    AllowEmptyGroupPasswordCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    QToolTip::add( AllowEmptyGroupPasswordCheckBox, tr2i18n( "Allow an empty group password (not recommended, insecure)" ) );
    UseXauthInteractiveCheckBox->setText( tr2i18n( "E&nable interactive extended authentication" ) );
    UseXauthInteractiveCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( UseXauthInteractiveCheckBox, QString::null );
    LabelID_2->setText( tr2i18n( "Peer timeout:" ) );
    QToolTip::add( LabelID_2, tr2i18n( "Peer timeout" ) );
    QToolTip::add( PeerTimeoutIntNumInput, tr2i18n( "After this number of seconds KVpnc reconnects. Value of 0 disables timeout." ) );
    MtuCheckbox->setText( tr2i18n( "Userdefinied &MTU:" ) );
    MtuCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( MtuCheckbox, tr2i18n( "Check this to set a custom MTU size" ) );
    QWhatsThis::add( MtuCheckbox, tr2i18n( "If you enable this you can set a own MTU size." ) );
    QToolTip::add( MtuSpinbox, tr2i18n( "The MTU size for the ppp connection" ) );
    QWhatsThis::add( MtuSpinbox, tr2i18n( "Here you can specify the MTU size for use with pppd." ) );
}

#include "profileciscooptionsbase.moc"
