#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilenetworkvirtualipoptionsbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilenetworkvirtualipoptionsbase.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a ProfileNetworkVirtualIpOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileNetworkVirtualIpOptionsBase::ProfileNetworkVirtualIpOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileNetworkVirtualIpOptionsBase" );
    ProfileNetworkVirtualIpOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileNetworkVirtualIpOptionsBaseLayout"); 

    UseVirtualIPCheckBox = new QCheckBox( this, "UseVirtualIPCheckBox" );

    ProfileNetworkVirtualIpOptionsBaseLayout->addMultiCellWidget( UseVirtualIPCheckBox, 1, 1, 0, 1 );

    LabelRemoteVirtualIp = new QLabel( this, "LabelRemoteVirtualIp" );

    ProfileNetworkVirtualIpOptionsBaseLayout->addWidget( LabelRemoteVirtualIp, 3, 0 );

    LabelLocalVirtualIp = new QLabel( this, "LabelLocalVirtualIp" );

    ProfileNetworkVirtualIpOptionsBaseLayout->addWidget( LabelLocalVirtualIp, 2, 0 );

    LocalVirtualIpEdit = new KLineEdit( this, "LocalVirtualIpEdit" );
    LocalVirtualIpEdit->setEnabled( FALSE );

    ProfileNetworkVirtualIpOptionsBaseLayout->addWidget( LocalVirtualIpEdit, 2, 1 );

    RemoteVirtualIpLineEdit = new KLineEdit( this, "RemoteVirtualIpLineEdit" );
    RemoteVirtualIpLineEdit->setEnabled( FALSE );

    ProfileNetworkVirtualIpOptionsBaseLayout->addWidget( RemoteVirtualIpLineEdit, 3, 1 );
    spacer2 = new QSpacerItem( 41, 81, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ProfileNetworkVirtualIpOptionsBaseLayout->addMultiCell( spacer2, 4, 4, 0, 1 );
    languageChange();
    resize( QSize(328, 157).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( UseVirtualIPCheckBox, SIGNAL( toggled(bool) ), this, SLOT( useVirtualIpAddressToggled(bool) ) );

    // tab order
    setTabOrder( UseVirtualIPCheckBox, LocalVirtualIpEdit );
    setTabOrder( LocalVirtualIpEdit, RemoteVirtualIpLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileNetworkVirtualIpOptionsBase::~ProfileNetworkVirtualIpOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileNetworkVirtualIpOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Network Virtual IP Options" ) );
    UseVirtualIPCheckBox->setText( tr2i18n( "Use vir&tual IP addresses" ) );
    UseVirtualIPCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( UseVirtualIPCheckBox, tr2i18n( "Use virtual IP addresses" ) );
    LabelRemoteVirtualIp->setText( tr2i18n( "Remote IP (virtual):" ) );
    LabelLocalVirtualIp->setText( tr2i18n( "Local IP (virtual):" ) );
    QToolTip::add( LocalVirtualIpEdit, tr2i18n( "Local IP address (for tunnel)" ) );
    QWhatsThis::add( LocalVirtualIpEdit, QString::null );
    QToolTip::add( RemoteVirtualIpLineEdit, tr2i18n( "Remote IP address (for tunnel)" ) );
}

void ProfileNetworkVirtualIpOptionsBase::useVirtualIpAddressToggled(bool)
{
    qWarning( "ProfileNetworkVirtualIpOptionsBase::useVirtualIpAddressToggled(bool): Not implemented yet" );
}

#include "profilenetworkvirtualipoptionsbase.moc"
