#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileracoonoptionsbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileracoonoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a ProfileRacoonOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileRacoonOptionsBase::ProfileRacoonOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileRacoonOptionsBase" );
    ProfileRacoonOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileRacoonOptionsBaseLayout"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    layout7 = new QGridLayout( 0, 1, 1, 0, 6, "layout7"); 

    UseModeConfigCheckBox = new QCheckBox( this, "UseModeConfigCheckBox" );

    layout7->addMultiCellWidget( UseModeConfigCheckBox, 2, 2, 0, 1 );

    HashAlgoTextLabel = new QLabel( this, "HashAlgoTextLabel" );

    layout7->addWidget( HashAlgoTextLabel, 0, 0 );

    ExchangeModeComboBox = new QComboBox( FALSE, this, "ExchangeModeComboBox" );

    layout7->addMultiCellWidget( ExchangeModeComboBox, 1, 1, 1, 2 );
    spacer6 = new QSpacerItem( 100, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addMultiCell( spacer6, 2, 2, 2, 3 );

    HashAlgoTextLabel_2 = new QLabel( this, "HashAlgoTextLabel_2" );

    layout7->addWidget( HashAlgoTextLabel_2, 1, 0 );
    spacer6_4 = new QSpacerItem( 41, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer6_4, 0, 3 );

    HashAlgoComboBox = new QComboBox( FALSE, this, "HashAlgoComboBox" );

    layout7->addMultiCellWidget( HashAlgoComboBox, 0, 0, 1, 2 );
    spacer6_3 = new QSpacerItem( 100, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addMultiCell( spacer6_3, 4, 4, 2, 3 );

    DisablePfsCheckBox = new QCheckBox( this, "DisablePfsCheckBox" );

    layout7->addMultiCellWidget( DisablePfsCheckBox, 3, 4, 0, 1 );
    spacer7 = new QSpacerItem( 21, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer7, 1, 3 );
    layout8->addLayout( layout7 );

    FreeswanGroupBox = new QGroupBox( this, "FreeswanGroupBox" );
    FreeswanGroupBox->setColumnLayout(0, Qt::Vertical );
    FreeswanGroupBox->layout()->setSpacing( 6 );
    FreeswanGroupBox->layout()->setMargin( 11 );
    FreeswanGroupBoxLayout = new QGridLayout( FreeswanGroupBox->layout() );
    FreeswanGroupBoxLayout->setAlignment( Qt::AlignTop );

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    layout5 = new QGridLayout( 0, 1, 1, 0, 6, "layout5"); 

    HashAlgoTextLabel_2_2 = new QLabel( FreeswanGroupBox, "HashAlgoTextLabel_2_2" );

    layout5->addWidget( HashAlgoTextLabel_2_2, 1, 0 );

    HashAlgoTextLabel_3 = new QLabel( FreeswanGroupBox, "HashAlgoTextLabel_3" );

    layout5->addWidget( HashAlgoTextLabel_3, 0, 0 );

    LeftNextHopLineEdit = new KLineEdit( FreeswanGroupBox, "LeftNextHopLineEdit" );

    layout5->addWidget( LeftNextHopLineEdit, 0, 1 );

    RightNextHopLineEdit = new KLineEdit( FreeswanGroupBox, "RightNextHopLineEdit" );

    layout5->addWidget( RightNextHopLineEdit, 1, 1 );
    layout6->addLayout( layout5 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    DisableOpportunisticEncryptionCheckBox = new QCheckBox( FreeswanGroupBox, "DisableOpportunisticEncryptionCheckBox" );
    layout4->addWidget( DisableOpportunisticEncryptionCheckBox );
    spacer6_2 = new QSpacerItem( 100, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer6_2 );
    layout6->addLayout( layout4 );

    FreeswanGroupBoxLayout->addLayout( layout6, 0, 0 );
    layout8->addWidget( FreeswanGroupBox );
    spacer3 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout8->addItem( spacer3 );

    ProfileRacoonOptionsBaseLayout->addLayout( layout8, 0, 0 );
    languageChange();
    resize( QSize(292, 358).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( HashAlgoComboBox, ExchangeModeComboBox );
    setTabOrder( ExchangeModeComboBox, UseModeConfigCheckBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileRacoonOptionsBase::~ProfileRacoonOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileRacoonOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Racoon/FreeSWAN (OpenSWAN)" ) );
    UseModeConfigCheckBox->setText( tr2i18n( "Use &Mode Configuration" ) );
    UseModeConfigCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    HashAlgoTextLabel->setText( tr2i18n( "Hash algorithm:" ) );
    QToolTip::add( HashAlgoTextLabel, tr2i18n( "Use specified hash algorithm for IKE phase 1" ) );
    QToolTip::add( ExchangeModeComboBox, tr2i18n( "Internet Key Exchange mode" ) );
    HashAlgoTextLabel_2->setText( tr2i18n( "Exchange mode:" ) );
    HashAlgoComboBox->clear();
    HashAlgoComboBox->insertItem( tr2i18n( "SHA1" ) );
    HashAlgoComboBox->insertItem( tr2i18n( "MD5" ) );
    QToolTip::add( HashAlgoComboBox, tr2i18n( "Use specified hash algorithm for IKE phase 1" ) );
    DisablePfsCheckBox->setText( tr2i18n( "Disab&le PFS" ) );
    DisablePfsCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( DisablePfsCheckBox, tr2i18n( "Disable Perfect Forward Secrecy" ) );
    FreeswanGroupBox->setTitle( tr2i18n( "FreeS/WAN (Openswan)" ) );
    QToolTip::add( FreeswanGroupBox, tr2i18n( "FreeSWAN / Openswan specific settings" ) );
    HashAlgoTextLabel_2_2->setText( tr2i18n( "Right next hop:" ) );
    HashAlgoTextLabel_3->setText( tr2i18n( "Left next hop:" ) );
    DisableOpportunisticEncryptionCheckBox->setText( tr2i18n( "Disable opportunistic encr&yption" ) );
    DisableOpportunisticEncryptionCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
}

#include "profileracoonoptionsbase.moc"
