#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizardnat.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizardnat.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NewProfileWizardNat as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardNat::NewProfileWizardNat( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardNat" );
    NewProfileWizardNatLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardNatLayout"); 

    layout19 = new QGridLayout( 0, 1, 1, 0, 6, "layout19"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    UseUdpCheckbox = new QCheckBox( this, "UseUdpCheckbox" );
    layout8->addWidget( UseUdpCheckbox );
    spacer39 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer39 );

    layout19->addLayout( layout8, 0, 0 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    UdpPortCheckbox = new QCheckBox( this, "UdpPortCheckbox" );
    UdpPortCheckbox->setEnabled( FALSE );
    layout9->addWidget( UdpPortCheckbox );

    UdpPortSpinbox = new QSpinBox( this, "UdpPortSpinbox" );
    UdpPortSpinbox->setEnabled( FALSE );
    UdpPortSpinbox->setMaxValue( 65535 );
    UdpPortSpinbox->setMinValue( 1 );
    UdpPortSpinbox->setValue( 10000 );
    layout9->addWidget( UdpPortSpinbox );
    spacer7_2 = new QSpacerItem( 46, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer7_2 );

    layout19->addLayout( layout9, 1, 0 );

    NewProfileWizardNatLayout->addLayout( layout19, 0, 0 );
    spacer27 = new QSpacerItem( 20, 150, QSizePolicy::Minimum, QSizePolicy::Expanding );
    NewProfileWizardNatLayout->addItem( spacer27, 1, 0 );
    spacer26 = new QSpacerItem( 201, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    NewProfileWizardNatLayout->addItem( spacer26, 0, 1 );
    languageChange();
    resize( QSize(246, 127).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardNat::~NewProfileWizardNat()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardNat::languageChange()
{
    setCaption( tr2i18n( "NAT settings" ) );
    UseUdpCheckbox->setText( tr2i18n( "Use UDP (NAT-&T)" ) );
    UseUdpCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( UseUdpCheckbox, tr2i18n( "For IPSec use UDP encapsulation (NAT-T). For openvpn <br>use UDP instead of TCP protocol." ) );
    QWhatsThis::add( UseUdpCheckbox, tr2i18n( "You should enable this for IPSec if you are behind a firewall (NAT). <br>For openvpn this causes using UDP instead of TCP protocol <br>(peer have to use the same protocol)." ) );
    UdpPortCheckbox->setText( tr2i18n( "&UDP port for NAT-T:" ) );
    UdpPortCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( UdpPortCheckbox, tr2i18n( "Use specified port number for IPSec NAT-T" ) );
    QToolTip::add( UdpPortSpinbox, tr2i18n( "UDP port for NAT-T" ) );
}

#include "newprofilewizardnat.moc"
