#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizardnetwork.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizardnetwork.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <klineedit.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kcombobox.h"

/*
 *  Constructs a NewProfileWizardNetwork as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardNetwork::NewProfileWizardNetwork( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardNetwork" );
    NewProfileWizardNetworkLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardNetworkLayout"); 

    layout26 = new QHBoxLayout( 0, 0, 6, "layout26"); 

    layout25 = new QVBoxLayout( 0, 0, 6, "layout25"); 

    layout11 = new QGridLayout( 0, 1, 1, 0, 6, "layout11"); 

    layout77 = new QHBoxLayout( 0, 0, 6, "layout77"); 

    RemoteNetAddrLineEdit = new KLineEdit( this, "RemoteNetAddrLineEdit" );
    layout77->addWidget( RemoteNetAddrLineEdit );

    RemoteNetDividetextLabel = new QLabel( this, "RemoteNetDividetextLabel" );
    layout77->addWidget( RemoteNetDividetextLabel );

    RemoteNetMaskComboBox = new KComboBox( FALSE, this, "RemoteNetMaskComboBox" );
    layout77->addWidget( RemoteNetMaskComboBox );

    layout11->addMultiCellLayout( layout77, 1, 1, 1, 2 );
    spacer169 = new QSpacerItem( 252, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer169, 0, 1 );

    LabelRemoteNetwork = new QLabel( this, "LabelRemoteNetwork" );
    LabelRemoteNetwork->setEnabled( TRUE );

    layout11->addWidget( LabelRemoteNetwork, 1, 0 );

    LabelNetworkDevice = new QLabel( this, "LabelNetworkDevice" );
    LabelNetworkDevice->setEnabled( TRUE );

    layout11->addWidget( LabelNetworkDevice, 0, 0 );

    NetworkDeviceComboBox = new KComboBox( FALSE, this, "NetworkDeviceComboBox" );
    NetworkDeviceComboBox->setEditable( TRUE );

    layout11->addWidget( NetworkDeviceComboBox, 0, 2 );
    layout25->addLayout( layout11 );
    spacer14 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout25->addItem( spacer14 );
    layout26->addLayout( layout25 );
    spacer13 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout26->addItem( spacer13 );

    NewProfileWizardNetworkLayout->addLayout( layout26, 0, 0 );
    languageChange();
    resize( QSize(322, 132).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( NetworkDeviceComboBox, RemoteNetAddrLineEdit );
    setTabOrder( RemoteNetAddrLineEdit, RemoteNetMaskComboBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardNetwork::~NewProfileWizardNetwork()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardNetwork::languageChange()
{
    setCaption( tr2i18n( "Network settings" ) );
    QToolTip::add( RemoteNetAddrLineEdit, tr2i18n( "Remote network address" ) );
    QWhatsThis::add( RemoteNetAddrLineEdit, tr2i18n( "This is the remote network where the connection should going to. <br>Use this at a PPTP connection for set another network than the retrieved IP is located." ) );
    RemoteNetDividetextLabel->setText( tr2i18n( "/" ) );
    RemoteNetMaskComboBox->clear();
    RemoteNetMaskComboBox->insertItem( tr2i18n( "8" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "9" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "10" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "11" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "12" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "13" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "14" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "15" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "16" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "17" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "18" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "19" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "20" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "21" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "22" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "23" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "24" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "25" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "26" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "27" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "28" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "29" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "30" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "31" ) );
    RemoteNetMaskComboBox->insertItem( tr2i18n( "32" ) );
    RemoteNetMaskComboBox->setCurrentItem( 16 );
    QToolTip::add( RemoteNetMaskComboBox, tr2i18n( "Network prefix (netmask)" ) );
    LabelRemoteNetwork->setText( tr2i18n( "Remote network:" ) );
    LabelNetworkDevice->setText( tr2i18n( "Network device" ) );
    QToolTip::add( NetworkDeviceComboBox, tr2i18n( "Network device for use with tunnel" ) );
    QWhatsThis::add( NetworkDeviceComboBox, tr2i18n( "This the the network device which should be used for the tunnel. <br>Its only active if needed. If no selection made, <br>\"default\" is set for using the device where the defaultroute points to." ) );
}

#include "newprofilewizardnetwork.moc"
