#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './newprofilewizardpsk.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "newprofilewizardpsk.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <kurlrequester.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a NewProfileWizardPsk as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NewProfileWizardPsk::NewProfileWizardPsk( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NewProfileWizardPsk" );
    NewProfileWizardPskLayout = new QGridLayout( this, 1, 1, 11, 6, "NewProfileWizardPskLayout"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    LabelPsk = new QLabel( this, "LabelPsk" );
    LabelPsk->setEnabled( TRUE );

    layout3->addWidget( LabelPsk, 2, 0 );

    CheckSavePsk = new QCheckBox( this, "CheckSavePsk" );

    layout3->addWidget( CheckSavePsk, 0, 4 );

    LabelPskFile = new QLabel( this, "LabelPskFile" );
    LabelPskFile->setEnabled( FALSE );

    layout3->addMultiCellWidget( LabelPskFile, 1, 1, 0, 1 );
    spacer38 = new QSpacerItem( 130, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer38, 0, 3 );
    spacer30 = new QSpacerItem( 174, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer30, 0, 5 );

    PSKFileURLRequester = new KURLRequester( this, "PSKFileURLRequester" );
    PSKFileURLRequester->setEnabled( FALSE );
    PSKFileURLRequester->setMinimumSize( QSize( 250, 0 ) );

    layout3->addMultiCellWidget( PSKFileURLRequester, 1, 1, 4, 5 );
    spacer18 = new QSpacerItem( 165, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addMultiCell( spacer18, 2, 2, 1, 3 );

    PSKLineEdit = new KLineEdit( this, "PSKLineEdit" );
    PSKLineEdit->setEnabled( TRUE );
    PSKLineEdit->setEchoMode( KLineEdit::Password );

    layout3->addMultiCellWidget( PSKLineEdit, 2, 2, 4, 5 );
    spacer37 = new QSpacerItem( 147, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addMultiCell( spacer37, 1, 1, 2, 3 );

    PskInFileCheckBox = new QCheckBox( this, "PskInFileCheckBox" );

    layout3->addMultiCellWidget( PskInFileCheckBox, 0, 0, 0, 2 );
    layout4->addLayout( layout3 );
    spacer21 = new QSpacerItem( 20, 301, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout4->addItem( spacer21 );

    NewProfileWizardPskLayout->addLayout( layout4, 0, 0 );
    spacer57 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    NewProfileWizardPskLayout->addItem( spacer57, 0, 1 );
    spacer58 = new QSpacerItem( 20, 41, QSizePolicy::Minimum, QSizePolicy::Expanding );
    NewProfileWizardPskLayout->addItem( spacer58, 1, 0 );
    languageChange();
    resize( QSize(449, 249).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( PskInFileCheckBox, CheckSavePsk );
    setTabOrder( CheckSavePsk, PSKFileURLRequester );
    setTabOrder( PSKFileURLRequester, PSKLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NewProfileWizardPsk::~NewProfileWizardPsk()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NewProfileWizardPsk::languageChange()
{
    setCaption( tr2i18n( "PSK settings" ) );
    LabelPsk->setText( tr2i18n( "Pre-shared key:" ) );
    CheckSavePsk->setText( tr2i18n( "Sa&ve PSK" ) );
    CheckSavePsk->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QToolTip::add( CheckSavePsk, tr2i18n( "Save Pre-shared key in config file (or in KWallet if available)" ) );
    LabelPskFile->setText( tr2i18n( "Pre shared key file:" ) );
    QToolTip::add( PSKFileURLRequester, tr2i18n( "File which contains Pre-shared key (shared secret)" ) );
    QToolTip::add( PSKLineEdit, tr2i18n( "Pre-shared key for authentication (shared secret)" ) );
    PskInFileCheckBox->setText( tr2i18n( "&Load PSK from file" ) );
    PskInFileCheckBox->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( PskInFileCheckBox, tr2i18n( "Pre-shared key (shared secret) is stored in a file (e.g. on a usbstick)" ) );
}

#include "newprofilewizardpsk.moc"
