#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilenetworknatoptionsbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilenetworknatoptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ProfileNetworkNatOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileNetworkNatOptionsBase::ProfileNetworkNatOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileNetworkNatOptionsBase" );
    ProfileNetworkNatOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileNetworkNatOptionsBaseLayout"); 

    layout30 = new QVBoxLayout( 0, 0, 6, "layout30"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    UseUdpCheckbox = new QCheckBox( this, "UseUdpCheckbox" );
    layout8->addWidget( UseUdpCheckbox );
    spacer39 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer39 );
    layout30->addLayout( layout8 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    UdpPortCheckbox = new QCheckBox( this, "UdpPortCheckbox" );
    UdpPortCheckbox->setEnabled( FALSE );
    layout9->addWidget( UdpPortCheckbox );

    UdpPortSpinbox = new QSpinBox( this, "UdpPortSpinbox" );
    UdpPortSpinbox->setEnabled( FALSE );
    UdpPortSpinbox->setMaxValue( 65535 );
    UdpPortSpinbox->setMinValue( 1 );
    UdpPortSpinbox->setValue( 10000 );
    layout9->addWidget( UdpPortSpinbox );
    spacer7_2 = new QSpacerItem( 46, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addItem( spacer7_2 );
    layout30->addLayout( layout9 );
    spacer4 = new QSpacerItem( 21, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout30->addItem( spacer4 );

    ProfileNetworkNatOptionsBaseLayout->addLayout( layout30, 0, 0 );
    languageChange();
    resize( QSize(343, 127).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( UseUdpCheckbox, SIGNAL( toggled(bool) ), this, SLOT( useUdpToggled(bool) ) );
    connect( UdpPortCheckbox, SIGNAL( toggled(bool) ), this, SLOT( udpPortToggled(bool) ) );

    // tab order
    setTabOrder( UseUdpCheckbox, UdpPortCheckbox );
    setTabOrder( UdpPortCheckbox, UdpPortSpinbox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileNetworkNatOptionsBase::~ProfileNetworkNatOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileNetworkNatOptionsBase::languageChange()
{
    setCaption( tr2i18n( "NAT" ) );
    UseUdpCheckbox->setText( tr2i18n( "Use UDP (NAT-T)" ) );
    QToolTip::add( UseUdpCheckbox, tr2i18n( "For IPSec use UDP encapsulation (NAT-T). For openvpn <br>use UDP instead of TCP protocol." ) );
    QWhatsThis::add( UseUdpCheckbox, tr2i18n( "You should enable this for IPSec if you are behind a firewall (NAT). <br>For openvpn this causes using UDP instead of TCP protocol <br>(peer have to use the same protocol)." ) );
    UdpPortCheckbox->setText( tr2i18n( "&UDP port for NAT-T:" ) );
    UdpPortCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( UdpPortCheckbox, tr2i18n( "Use specified port number for IPSec NAT-T" ) );
    QToolTip::add( UdpPortSpinbox, tr2i18n( "UDP port for NAT-T" ) );
}

void ProfileNetworkNatOptionsBase::udpPortToggled(bool)
{
    qWarning( "ProfileNetworkNatOptionsBase::udpPortToggled(bool): Not implemented yet" );
}

void ProfileNetworkNatOptionsBase::useUdpToggled(bool)
{
    qWarning( "ProfileNetworkNatOptionsBase::useUdpToggled(bool): Not implemented yet" );
}

#include "profilenetworknatoptionsbase.moc"
