#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profilenetworkrouteoptionsbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profilenetworkrouteoptionsbase.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"
#include "kpushbutton.h"

/*
 *  Constructs a ProfileNetworkRouteOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileNetworkRouteOptionsBase::ProfileNetworkRouteOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileNetworkRouteOptionsBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    ProfileNetworkRouteOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileNetworkRouteOptionsBaseLayout"); 

    NetworkListView = new KListView( this, "NetworkListView" );
    NetworkListView->addColumn( tr2i18n( "Network" ) );
    NetworkListView->addColumn( tr2i18n( "Netmask" ) );
    NetworkListView->addColumn( tr2i18n( "Gateway" ) );
    NetworkListView->setEnabled( FALSE );
    NetworkListView->setMinimumSize( QSize( 0, 150 ) );

    ProfileNetworkRouteOptionsBaseLayout->addWidget( NetworkListView, 2, 0 );

    layout52 = new QHBoxLayout( 0, 0, 6, "layout52"); 
    spacer31_2 = new QSpacerItem( 241, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout52->addItem( spacer31_2 );

    AddRoutePushButton = new KPushButton( this, "AddRoutePushButton" );
    AddRoutePushButton->setEnabled( FALSE );
    layout52->addWidget( AddRoutePushButton );

    DeleteNetworkRoutePushButton = new KPushButton( this, "DeleteNetworkRoutePushButton" );
    DeleteNetworkRoutePushButton->setEnabled( FALSE );
    layout52->addWidget( DeleteNetworkRoutePushButton );

    ProfileNetworkRouteOptionsBaseLayout->addLayout( layout52, 3, 0 );

    UseExtraNetworkRoutesCheckbox = new QCheckBox( this, "UseExtraNetworkRoutesCheckbox" );
    UseExtraNetworkRoutesCheckbox->setEnabled( TRUE );

    ProfileNetworkRouteOptionsBaseLayout->addWidget( UseExtraNetworkRoutesCheckbox, 1, 0 );
    languageChange();
    resize( QSize(402, 311).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( AddRoutePushButton, SIGNAL( clicked() ), this, SLOT( addNetworkRouteClicked() ) );
    connect( DeleteNetworkRoutePushButton, SIGNAL( clicked() ), this, SLOT( delNetworkRouteClicked() ) );
    connect( UseExtraNetworkRoutesCheckbox, SIGNAL( toggled(bool) ), this, SLOT( additionalNetworkRoutesToggled(bool) ) );

    // tab order
    setTabOrder( UseExtraNetworkRoutesCheckbox, NetworkListView );
    setTabOrder( NetworkListView, AddRoutePushButton );
    setTabOrder( AddRoutePushButton, DeleteNetworkRoutePushButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileNetworkRouteOptionsBase::~ProfileNetworkRouteOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileNetworkRouteOptionsBase::languageChange()
{
    setCaption( tr2i18n( "Network Route Options" ) );
    NetworkListView->header()->setLabel( 0, tr2i18n( "Network" ) );
    NetworkListView->header()->setLabel( 1, tr2i18n( "Netmask" ) );
    NetworkListView->header()->setLabel( 2, tr2i18n( "Gateway" ) );
    QToolTip::add( NetworkListView, tr2i18n( "List of additional network routes" ) );
    AddRoutePushButton->setText( tr2i18n( "Add &route..." ) );
    AddRoutePushButton->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QToolTip::add( AddRoutePushButton, tr2i18n( "Add new route" ) );
    DeleteNetworkRoutePushButton->setText( tr2i18n( "&Delete" ) );
    DeleteNetworkRoutePushButton->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    QToolTip::add( DeleteNetworkRoutePushButton, tr2i18n( "Delete route" ) );
    UseExtraNetworkRoutesCheckbox->setText( tr2i18n( "Use &additional network routes" ) );
    UseExtraNetworkRoutesCheckbox->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
}

void ProfileNetworkRouteOptionsBase::additionalNetworkRoutesToggled(bool)
{
    qWarning( "ProfileNetworkRouteOptionsBase::additionalNetworkRoutesToggled(bool): Not implemented yet" );
}

void ProfileNetworkRouteOptionsBase::addNetworkRouteClicked()
{
    qWarning( "ProfileNetworkRouteOptionsBase::addNetworkRouteClicked(): Not implemented yet" );
}

void ProfileNetworkRouteOptionsBase::delNetworkRouteClicked()
{
    qWarning( "ProfileNetworkRouteOptionsBase::delNetworkRouteClicked(): Not implemented yet" );
}

#include "profilenetworkrouteoptionsbase.moc"
