#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './profileuseroptionsbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "profileuseroptionsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"

/*
 *  Constructs a ProfileUserOptionsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ProfileUserOptionsBase::ProfileUserOptionsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ProfileUserOptionsBase" );
    ProfileUserOptionsBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ProfileUserOptionsBaseLayout"); 

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    layout9 = new QGridLayout( 0, 1, 1, 0, 6, "layout9"); 

    LabelUsername = new QLabel( this, "LabelUsername" );

    layout9->addWidget( LabelUsername, 0, 0 );

    UsernameLineEdit = new KLineEdit( this, "UsernameLineEdit" );

    layout9->addWidget( UsernameLineEdit, 0, 1 );

    LabelPassword = new QLabel( this, "LabelPassword" );

    layout9->addWidget( LabelPassword, 1, 0 );

    PasswordEdit = new QLineEdit( this, "PasswordEdit" );
    PasswordEdit->setEchoMode( QLineEdit::Password );

    layout9->addWidget( PasswordEdit, 1, 1 );
    layout7->addLayout( layout9 );

    CheckUserPass = new QCheckBox( this, "CheckUserPass" );
    layout7->addWidget( CheckUserPass );

    DontSaveUsernameCheckBox = new QCheckBox( this, "DontSaveUsernameCheckBox" );
    layout7->addWidget( DontSaveUsernameCheckBox );
    spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout7->addItem( spacer2 );

    ProfileUserOptionsBaseLayout->addLayout( layout7, 0, 0 );
    languageChange();
    resize( QSize(316, 190).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ProfileUserOptionsBase::~ProfileUserOptionsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProfileUserOptionsBase::languageChange()
{
    setCaption( tr2i18n( "User Data" ) );
    LabelUsername->setText( tr2i18n( "Username:" ) );
    QToolTip::add( UsernameLineEdit, tr2i18n( "Username for authentication" ) );
    LabelPassword->setText( tr2i18n( "Password:" ) );
    QToolTip::add( PasswordEdit, tr2i18n( "Password for authentication" ) );
    CheckUserPass->setText( tr2i18n( "Save &user password" ) );
    CheckUserPass->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( CheckUserPass, tr2i18n( "Save user password in config file (or in KWallet if available)" ) );
    DontSaveUsernameCheckBox->setText( tr2i18n( "Dont save username" ) );
    DontSaveUsernameCheckBox->setAccel( QKeySequence( QString::null ) );
    QToolTip::add( DontSaveUsernameCheckBox, tr2i18n( "Do not save the username in config nor KWallet" ) );
}

#include "profileuseroptionsbase.moc"
